Skip to content

Create a customer ​

POST/api/v1/workspaces/{workspace_slug}/customers/

Create a new customer in the specified workspace.

Path parameters ​

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

name:requiredstring

The customer's name.

description:optionalobject

The customer's description.

description_html:optionalstring

The description as HTML.

description_stripped:optionalstring

The description as plain text, with HTML removed.

email:optionalstring

The customer's email address.

website_url:optionalstring

The customer's website URL.

logo_props:optionalobject

Logo settings used by the Plane editor.

domain:optionalstring

The customer's domain.

employees:optionalinteger

The customer's number of employees.

stage:optionalstring

The customer's stage.

contract_status:optionalstring

The customer's contract status.

revenue:optionalstring

The customer's revenue.

archived_at:optionalstring

When the customer was archived.

created_by:optionalstring

ID of the user who created the customer.

updated_by:optionalstring

ID of the user who last updated the customer.

logo_asset:optionalstring

ID of the asset used as the customer's logo.

Scopes ​

customers:write

Create a customer
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/customers/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "example-value",
  "description_html": "<p>Example content</p>",
  "description_stripped": "Example description",
  "email": "Example Name",
  "website_url": "https://example.com/resource",
  "logo_props": "example-value",
  "domain": "Example Name",
  "employees": 1,
  "stage": "Example Name",
  "contract_status": "Example Name",
  "revenue": "Example Name",
  "archived_at": "2024-01-01T00:00:00Z",
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000",
  "logo_asset": "550e8400-e29b-41d4-a716-446655440000"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "example-value",
  "deleted_at": "2024-01-01T00:00:00Z",
  "customer_request_count": 1,
  "logo_url": "Example Name",
  "description_html": "<p>Example content</p>",
  "description_stripped": "Example description",
  "description_binary": "Example description",
  "email": "Example Name"
}